const paymentType = (window as any).paymentType

// 需要登录的路由
export const router = [
  {
    path: '/lessonCourseware',
    name: 'lessonCourseware',
    component: () => import('@/views/lessonCourseware/index'),
    meta: {
      title: '选择课件'
    }
  },
  {
    path: '/courseList',
    name: 'courseList',
    component: () => import('@/views/courseList/index'),
    meta: {
      title: '课程列表'
    }
  },
  {
    path: '/coursewarePlay',
    name: 'coursewarePlay',
    component: () => import('@/views/coursewarePlay/index'),
    meta: {
      title: '课程播放'
    }
  },
]

// 不需要登录的路由
export const rootRouter = [
  {
    path: '/information-detail',
    name: 'information-detail',
    component: () => import('@/views/information/information-detail'),
    meta: {
      title: '资讯详情'
    }
  },
  {
    path: '/payCenter',
    name: 'payCenter',
    component: () => import('@/views/adapay/pay-center'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/payDefine',
    name: 'payDefine',
    component: () => import('@/views/adapay/pay-define'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/payResult',
    name: 'payResult',
    component: () => import('@/views/adapay/pay-result'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/:pathMatch(.*)*',
    component: () => import('@/views/404'),
    meta: {
      title: '404 Not Fund',
      platform: paymentType
    }
  }
]
