import OHeader from '@/components/o-header'
import { Cell, CellGroup, Field, Uploader } from 'vant'
import { defineComponent, reactive } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'create-message',
  setup() {
    const forms = reactive({
      type: null,
      content: null
    })
    return () => (
      <div class={styles['create-message']}>
        <OHeader />

        <CellGroup inset>
          <Cell title="发送方式" value={''} isLink />
          <Cell title="发送时间" value={''} isLink />
          <Cell title="发送内容">
            {{
              label: () => (
                <Field
                  style={{ padding: '0' }}
                  placeholder="请输入发送内容"
                  v-model={forms.content}
                  type="textarea"
                  rows={3}
                />
              )
            }}
          </Cell>
          <Cell title="上传辅件">
            <Uploader />
          </Cell>

          <Cell title="发送对象"></Cell>
        </CellGroup>
      </div>
    )
  }
})
