import OEmpty from '@/components/o-empty'
import OHeader from '@/components/o-header'
import OSearch from '@/components/o-search'
import OSticky from '@/components/o-sticky'
import request from '@/helpers/request'
import { Cell, CellGroup, Icon, List, Tab, Tabs } from 'vant'
import { defineComponent, reactive } from 'vue'
import { useRouter } from 'vue-router'
import styles from './index.module.less'

export default defineComponent({
  name: 'mass-message',
  setup() {
    const router = useRouter()
    const state = reactive({
      list: [],
      dataShow: true, // 判断是否有数据
      loading: false,
      finished: false,
      params: {
        search: null,
        page: 1,
        rows: 10
      }
    })
    const getList = async () => {
      try {
        // const res = await request.post(url, {
        //   data: {
        //     ...params
        //   }
        // })
        // state.loading = false
        // const result = res.data || {}
        // 处理重复请求数据
        // if (state.list.length > 0 && result.current === 1) {
        //   return
        // }
        // state.list = state.list.concat(result.rows || [])
        // state.finished = result.current >= result.totalPage
        // state.params.page = result.current + 1
        // state.dataShow = state.list.length > 0
      } catch {
        // state.dataShow = false
        // state.finished = true
      }
    }
    return () => (
      <div class={styles.massMessage}>
        <OSticky position="top">
          <OHeader border={false}>
            {{
              right: () => (
                <span
                  style="color: var(--van-primary-color)"
                  onClick={() => {
                    router.push('/create-message')
                  }}
                >
                  消息群发
                </span>
              )
            }}
          </OHeader>
          <Tabs lineWidth={18}>
            <Tab title="待发送"></Tab>
            <Tab title="已发送"></Tab>
          </Tabs>

          <OSearch
            background="#f6f8f9"
            inputBackground="white"
            placeholder="请输入群聊/学员名称"
            onSearch={(val: string) => {
              console.log('val', val)
            }}
          />
        </OSticky>

        {state.dataShow ? (
          <List
            v-model:loading={state.loading}
            finished={state.finished}
            finishedText=" "
            class={[styles.liveList]}
            onLoad={getList}
            immediateCheck={false}
          >
            <CellGroup inset>
              <Cell class={styles.waitSend} titleStyle={{ flex: '1 auto' }}>
                {{
                  title: () => (
                    <div class={styles.time}>
                      <Icon name="clock-o" class={styles.clockO} />
                      2022年10月31日 13:00:00
                    </div>
                  ),
                  value: () => <span>待发送</span>
                }}
              </Cell>
              <Cell valueClass={styles.messageContent}>
                乐团今日的训练课程由于学校举办运动会延至明天进行，请同学们按时参加运动会，明天带好乐器下午三点准时到教室训练。最近天气转凉了，大家也记得多穿点衣服，不要冻感冒了。
              </Cell>
            </CellGroup>
          </List>
        ) : (
          <OEmpty btnStatus={false} classImgSize="SMALL" tips="暂无群发消息" />
        )}
      </div>
    )
  }
})
