import OHeader from '@/components/o-header'
import { Cell, CellGroup, Grid, GridItem, Image, Tag } from 'vant'
import { defineComponent } from 'vue'
import { useRouter } from 'vue-router'
import styles from './index.module.less'
import iconTeacher from '@common/images/icon_teacher.png'

export default defineComponent({
  name: 'my-orchestra',
  setup() {
    const router = useRouter()

    return () => (
      <div class={styles.myOrchestra}>
        <OHeader
          rightText="申请退团"
          onClickRight={() => {
            console.log('111')
          }}
        />

        <div class={[styles.gridContainer, styles.gridClass]}>
          {[1, 2].map((item: any) => (
            <CellGroup class={styles.classCellGroup}>
              <Cell center titleStyle={{ flex: '0 auto' }} valueClass={styles.classCheckbox}>
                {{
                  icon: () => <Image src={iconTeacher} class={styles.img} />,
                  title: () => (
                    <div class={styles.content}>
                      <div class={styles.teacherName}>
                        1211212 <Tag type="primary">长笛班</Tag>
                      </div>
                    </div>
                  )
                }}
              </Cell>
              <Grid border={false} columnNum={3}>
                <GridItem>
                  <p class={styles.title}>{item.preStudentNum}</p>
                  <p class={styles.name}>学生人数</p>
                </GridItem>
                <GridItem>
                  <p class={[styles.title]}>
                    {item.courseScheduleNum - item.completeCourseScheduleNum}
                  </p>
                  <p class={styles.name}>剩余课时</p>
                </GridItem>
                <GridItem>
                  <p class={styles.title}>{item.courseScheduleNum}</p>
                  <p class={styles.name}>总课时</p>
                </GridItem>
              </Grid>
            </CellGroup>
          ))}
        </div>
      </div>
    )
  }
})
