import request from '@/helpers/request'
import { defineComponent, onMounted, ref } from 'vue'
import { useRoute } from 'vue-router'
import styles from './information-detail.module.less'

export default defineComponent({
  name: 'orchestra-information-detail',
  setup() {
    const route = useRoute()
    const detail = ref<any>({})

    const getDetails = async () => {
      try {
        const { data } = await request.get(
          '/api-school/sysNewsInformation/detail/' + route.query.id
        )
        detail.value = data
      } catch {
        //
      }
    }

    onMounted(() => {
      getDetails()
    })
    return () => (
      <div class={styles.detail}>
        <div class={styles.title}>常见的乐器可以分为三大类，你真的了解过吗</div>
        <div class={styles.who}>
          <span>管乐团</span>2022-12-05 11:47
        </div>

        <div class={styles.content} v-html={detail.value.content}></div>
      </div>
    )
  }
})
