import request from '@/helpers/request'
import { state } from '@/state'
import { Empty, Grid, GridItem, Icon } from 'vant'
import { defineComponent, onMounted, reactive } from 'vue'
import styles from './index.module.less'
import iconLook from './image/look.svg'
import { useRoute, useRouter } from 'vue-router'
export default defineComponent({
  name: 'lessonCourseware',
  setup() {
    const route = useRoute()
    const router = useRouter()
    const data = reactive({
      list: [] as any
    })
    const getList = async () => {
      try {
        const res: any = await request.post(state.platformApi + '/courseSchedule/myCourseware')
        if (Array.isArray(res?.data)) {
          data.list = res.data
        }
      } catch (error) {}
    }
    onMounted(() => {
      getList()
    })
    const handleClick = (item: any) => {
      if (route.query.code === 'select') {
        console.log('这里是选择课件')
        return
      }
      router.push({
        path: '/courseList',
        query: {
          id: item.id
        }
      })
    }
    return () => (
      <div style={{ paddingTop: '14px' }}>
        <Grid gutter={14} columnNum={3} class={styles.grid}>
          {data.list.map((item: any) => {
            return (
              <GridItem>
                <div
                  class={styles.gridItem}
                  style={{
                    background: item.coverImg
                      ? ''
                      : `hsla(${Math.floor(Math.random() * 360)},50%,50%,.8)`
                  }}
                  onClick={() => handleClick(item)}
                >
                  <img src={item.coverImg} class={styles.cover} />
                  <div class={styles.title}>{item.name}</div>
                  <div class={styles.num}>共{item.courseNum}课</div>
                  {item.delFlag && (
                    <div class={styles.look}>
                      <Icon name={iconLook} /> 未解锁
                    </div>
                  )}
                </div>
              </GridItem>
            )
          })}
        </Grid>
        {!data.list.length && <Empty description="空空如也" />}
      </div>
    )
  }
})
